//
// Created by nicolas on 22/03/18.
//

#ifndef ESC_ESC_POSITION_H
#define ESC_ESC_POSITION_H

#include <stdint.h>

typedef struct st_esc_position {
    int64_t prepare_position;
    int64_t commit_position;
} esc_position_t;

esc_position_t* esc_position_create(int64_t prepare_position, int64_t commit_position);
void esc_position_destroy(esc_position_t*);
int esc_position_compare(esc_position_t* left, esc_position_t* right);
const char* esc_position_format(esc_position_t* position, char* buffer, size_t buf_len);

#endif //ESC_ESC_POSITION_H
